## kernel-patch-powerpc-2.4.27 2.4.27-10sarge5

=== config/Makefile ===

apus.default: apus
powerpc.default: powerpc
nubus.default: nubus

%: %.stub
	cat $^
