## kernel-patch-powerpc-2.4.27 2.4.27-4

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-4) unstable; urgency=low

  * Seems 2.4.27-3 had missing postinst and co script, fixed it.
    (Closes: #297794)
  * Added --no-print-directory option when generating .config files.
    (Thanks to Colin Watson).

 -- Sven Luther <luther@debian.org>  Thu,  3 Mar 2005 13:44:31 +0100

kernel-patch-powerpc-2.4.27 (2.4.27-3) unstable; urgency=high

  * New package, includes the apus powerpc subarch in addition to the
    traditional powerpc subarch, and tries for nubus subarch support too.

 -- Sven Luther <luther@debian.org>  Mon, 21 Feb 2005 15:51:28 +0100

kernel-patch-powerpc-2.4.27 (2.4.27-2) unstable; urgency=high

  * Rebuilt against kernel-source 2.4.27-6. See kernel-source-2.4.27 changelog
    for details.

 -- Sven Luther <luther@debian.org>  Wed,  1 Dec 2004 13:33:22 +0100

kernel-patch-powerpc-2.4.27 (2.4.27-1) unstable; urgency=high

  * New upstream release.
    The "Let's keep Branden happy" release :).
  * benh has not yet forward ported the 2.4 -benh tree, so this is still based
    on benh's 2.4.26 import.
  * Again, 2.4 kernels are deprecated on powerpc, please use 2.6.8-1 or later
    kernels.
  * Disabled rivafb driver, since it is broken in benh's tree and need to be
    forward ported. Benh doesn't seem inclined to do so, and i don't have the
    hardware. It is not a problem, since pmac/nvidia hardware should work all
    right with offb, and should run 2.6.8 kernels anyway.

 -- Sven Luther <luther@debian.org>  Thu,  2 Sep 2004 22:52:56 +0200

kernel-patch-powerpc-2.4.26 (2.4.26-2) unstable; urgency=high

  * Fixed bad hunks in the patch.
  * Now the source package build-depends on kernel-tree 2.6.26-6 and the patch
    binary package conflicts with earlier versions of kernel-tree.

 -- Sven Luther <luther@debian.org>  Mon, 23 Aug 2004 10:53:57 +0200

kernel-patch-powerpc-2.4.26 (2.4.26-1) unstable; urgency=low

  * New upstream release.
  * Transferred maintainership to the Debian Kernel Team.
  * Patches are now separate in the powerpc/pieces directory.

 -- Sven Luther <luther@debian.org>  Sat, 31 Jul 2004 17:45:36 +0200

kernel-patch-2.4.25-powerpc (2.4.25-8) unstable; urgency=low

  * Built against kernel-source 2.4.25-3 to pull in security fixes and more :
    - Black listed "TOSHIBA CD-ROM XM-1702BC" in drivers/ide/ide-dma.c
      (Moritz Lennert, closes: #222939).
    - Set protocol in ip_route_me_harder in net/core/netfilter.c
      (closes: #236479).
    - Reverted hardsect change in drivers/scsi/sr.c (closes: #232586).
    - Tighten sanity in time_init to 250 PPM in arch/alpha/kernel/time.c
      (Scott Bailey, closes: #233096).
    - Call mkdep on headers with xargs in Makefile.
    - Fixed tuner support on WinTV-D boards in drivers/media/video/bttv-cards.c
      (2.6, closes: #241272).
    - Fixed single word src misalign > dest misalign case in
      arch/alpha/lib/stxncpy.S (glibc, closes: #237884).
    - Enhanced user input validation (Thomas Biege):
      . drivers/char/drm/r128_state.c
      . drivers/char/drm-4.0/r128_state.c
    - Fixed audio sampe size in drivers/sound/sb_audio.c (bk).
    - Fixed local root exploit in fs/isofs/rock.c (Ernie Petrides).
    - Clear b_data in journal_get_descriptor_buffer in fs/jbd/journal.c
      (Ted Ts'o).
    - Zero log buffer at mount time in fs/xfs/xfs_log.c (bk).
    - Fixed boundary checks for GUSAGE/SUSAGE in drivers/usb/hiddev.c.

 -- Sven Luther <luther@debian.org>  Wed, 14 Apr 2004 15:30:08 +0200

kernel-patch-2.4.25-powerpc (2.4.25-7) unstable; urgency=low

  * Increase kernel size for chrp boot loader.
  * Built the serial driver modular on Power4. (Closes: #242548).
  * Adapted agp-uninorth patch mentioned by Michel Daenzer. (Closes: #242553)
  * Made sure trying to load the partport_pc module on pmacs didn't happen.
    May break on oldwolrd though, no idea. (Closes: #237601)

 -- Sven Luther <luther@debian.org>  Thu,  8 Apr 2004 23:45:11 +0200

kernel-patch-2.4.25-powerpc (2.4.25-6) unstable; urgency=low

  * ReiserFS, JFS and XFS are now builtin in every config except
    powerpc-small.
  * Added more verbose SMP system description. (Closes: #241671) 

 -- Sven Luther <luther@debian.org>  Fri,  2 Apr 2004 22:23:09 +0200

kernel-patch-2.4.25-powerpc (2.4.25-5) unstable; urgency=low

  * Added Promise Ultra 100 TX2 driver for Apple XServe.

 -- Sven Luther <luther@debian.org>  Sat, 27 Mar 2004 13:41:02 +0100

kernel-patch-2.4.25-powerpc (2.4.25-4) unstable; urgency=low

  * Adapted to the patch that actually made it into kernel-package.
  * Added asm/delay.h include to kahlua driver. (Closes: #226333, #217506)
  * Switched to using kernel-tree-2.4.25 instead of kernel-source-2.4.25.

 -- Sven Luther <luther@debian.org>  Fri, 19 Mar 2004 14:52:50 +0100

kernel-patch-2.4.25-powerpc (2.4.25-3) unstable; urgency=low

  * Fixed PReP builtin initrd build script.
  * Build with fixed kernel-package, so no need for a local hack.
  * Added missing radeon drm module.
  * Added agpgart module for Apple UniNorth. (Closes: #122209)

 -- Sven Luther <luther@debian.org>  Wed, 17 Mar 2004 17:11:54 +0100

kernel-patch-2.4.25-powerpc (2.4.25-2) unstable; urgency=low

  * Added proper changelog and other stuff to kernel-build and kernel-image
    files. Also cleaned up short description a bit.
  * Fixed CPUFREQ to run only on pmacs, since it was causing OOPSes on chrp
    hardware.
  * Added Power3 config too. Not sure it will work as is though.

 -- Sven Luther <luther@debian.org>  Thu,  4 Mar 2004 10:41:54 +0100

kernel-patch-2.4.25-powerpc (2.4.25-1) unstable; urgency=low

  * Now based on the 2.4 -benh tree, using 2.4.25-benh1 tag.
  * Added copying info for kernel-build package.
  * Enabled Amiga SFS filesystem write support.
  * Added builtin USB UHCI support.
  * Enabled serial console & sym53c8xx_2 scsi driver builtin,
    for IBM RS6000 B50 users (and others).
  * Added Power4 config, enables 32bit kernel for Power4 based IBM hardware as
    well as Powermacs G5s.


