=== debian/control ===
Source: kernel-patch-powerpc-2.4.27
Section: devel
Priority: optional
Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27, m4
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Sven Luther <luther@debian.org>
Standards-Version: 3.6.1

Package: kernel-patch-2.4.27-apus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for APUS
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/APUS tree from http://linux-apus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-apus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/APUS kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-apus/debian.README.gz for details.

Package: kernel-image-2.4.27-apus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-apus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/APUS kernel binary image.
 This package contains the Linux/APUS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for Amiga PowerUP System (APUS) computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-apus

Package: kernel-build-2.4.27-apus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-apus
Description: build infrastructure for kernel version 2.4.27-apus
 .
 Together with kernel-headers-2.4.27-apus, this package provides the
 infrastructure for building additional modules for 2.4.27-apus

Package: kernel-patch-2.4.27-nubus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for nubus
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/nubus tree from http://linux-nubus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-nubus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/nubus kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-nubus/debian.README.gz for details.

Package: kernel-image-2.4.27-nubus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-nubus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/nubus kernel binary image.
 This package contains the Linux/nubus kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for NuBus Powermac computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-

Package: kernel-build-2.4.27-nubus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-nubus
Description: build infrastructure for kernel version 2.4.27-nubus
 .
 Together with kernel-headers-2.4.27-nubus, this package provides the
 infrastructure for building additional modules for 2.4.27-nubus

Package: kernel-patch-2.4.27-powerpc
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for nubus
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the now abandoned linuxppc_2_4-benh tree.

Package: kernel-headers-2.4.27-powerpc
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/nubus kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-powerpc/debian.README.gz for details.

Package: kernel-image-2.4.27-powerpc
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-powerpc
Depends: mkvmlinuz
Suggests: kernel-doc-2.4.27
Provides: kernel-image, kernel-image-2.4.27-powerpc-chrp, kernel-image-2.4.27-powerpc-chrp-rs6k, kernel-image-2.4.27-powerpc-pmac, kernel-image-2.4.27-powerpc-prep, kernel-modules-2.4.27-powerpc
Replaces: kernel-image-2.4.27-powerpc-chrp, kernel-image-2.4.27-powerpc-chrp-rs6k, kernel-image-2.4.27-powerpc-pmac, kernel-image-2.4.27-powerpc-prep, kernel-modules-2.4.27-powerpc
Conflicts: kernel-image-2.4.27-powerpc-chrp, kernel-image-2.4.27-powerpc-chrp-rs6k, kernel-image-2.4.27-powerpc-pmac, kernel-image-2.4.27-powerpc-prep, kernel-modules-2.4.27-powerpc
Description: Linux/PowerPC kernel binary image for the powerpc flavour
Description: Linux/PowerPC kernel binary image for the powerpc flavour
Description: Linux/PowerPC kernel binary image for the powerpc flavour
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.
 .
 This version contains the kernel images for uniprocessor PowerPC machines,
 Using from the ppc601 upto the latest G4 class processors.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-powerpc

Package: kernel-build-2.4.27-powerpc
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-powerpc
Description: build infrastructure for kernel version 2.4.27-powerpc
 .
 Together with kernel-headers-2.4.27-powerpc, this package provides the
 infrastructure for building additional modules for 2.4.27-powerpc

Package: kernel-image-2.4.27-powerpc-smp
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-powerpc
Depends: mkvmlinuz
Suggests: kernel-doc-2.4.27
Provides: kernel-image, kernel-image-2.4.27-powerpc-smp-chrp, kernel-image-2.4.27-powerpc-smp-chrp-rs6k, kernel-image-2.4.27-powerpc-smp-pmac, kernel-image-2.4.27-powerpc-smp-prep, kernel-modules-2.4.27-powerpc-smp
Replaces: kernel-image-2.4.27-powerpc-smp-chrp, kernel-image-2.4.27-powerpc-smp-chrp-rs6k, kernel-image-2.4.27-powerpc-smp-pmac, kernel-image-2.4.27-powerpc-smp-prep, kernel-modules-2.4.27-powerpc-smp
Conflicts: kernel-image-2.4.27-powerpc-smp-chrp, kernel-image-2.4.27-powerpc-smp-chrp-rs6k, kernel-image-2.4.27-powerpc-smp-pmac, kernel-image-2.4.27-powerpc-smp-prep, kernel-modules-2.4.27-powerpc-smp
Description: Linux/PowerPC kernel binary image for the powerpc-smp flavour
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.
 .
 This version contains the kernel images for multiprocessor PowerPC machines,
 Using from the ppc601 upto the latest G4 class processors.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-powerpc

Package: kernel-build-2.4.27-powerpc-smp
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-powerpc
Description: build infrastructure for kernel version 2.4.27-powerpc-smp
 .
 Together with kernel-headers-2.4.27-powerpc-smp, this package provides the
 infrastructure for building additional modules for 2.4.27-powerpc-smp

Package: kernel-image-2.4.27-powerpc-small
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-powerpc
Suggests: kernel-doc-2.4.27
Depends: mkvmlinuz
Provides: kernel-image, kernel-image-2.4.27-powerpc-small-chrp, kernel-image-2.4.27-powerpc-small-chrp-rs6k, kernel-image-2.4.27-powerpc-small-pmac, kernel-image-2.4.27-powerpc-small-prep, kernel-modules-2.4.27-powerpc-small
Replaces: kernel-image-2.4.27-powerpc-small-chrp, kernel-image-2.4.27-powerpc-small-chrp-rs6k, kernel-image-2.4.27-powerpc-small-pmac, kernel-image-2.4.27-powerpc-small-prep, kernel-modules-2.4.27-powerpc-small
Conflicts: kernel-image-2.4.27-powerpc-small-chrp, kernel-image-2.4.27-powerpc-small-chrp-rs6k, kernel-image-2.4.27-powerpc-small-pmac, kernel-image-2.4.27-powerpc-small-prep, kernel-modules-2.4.27-powerpc-small
Description: Linux/PowerPC kernel binary image for the powerpc-small flavour
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.
 .
 This version contains the kernel images for use with miboot OldWorld
 PowerMac Machines. It should be used exclusively for debian-installer.
 You probably don't want this package, but kernel-image-2.4.27-powerpc.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-powerpc

Package: kernel-build-2.4.27-powerpc-small
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-powerpc
Description: build infrastructure for kernel version 2.4.27-powerpc-small
 .
 Together with kernel-headers-2.4.27-powerpc-small, this package provides the
 infrastructure for building additional modules for 2.4.27-powerpc-small
