## kernel-patch-powerpc-2.4.27 2.4.27-10

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-10) UNRELEASED; urgency=low

  * Build against kernel-source 2.4.27-10 (Simon Horman)
  * Changed the uploader to myself. (Simon Horman)

 -- Simon Horman <horms@debian.org>  Tue, 10 May 2005 19:30:02 +0900
