=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kernel-patch-powerpc-2.4.27
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27-10, m4
+Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27, m4, modutils
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Simon Horman <horms@debian.org>
 Standards-Version: 3.6.1
