=== debian/rules ===
#!/usr/bin/make -f 

# debian/rules for kernel-patch-powerpc

# original version by Jens Schmalzing <jensen@debian.org>
# modified by Sven Luther <luther@debian.org>

# debhelper compatibility version
export DH_COMPAT=4

# set the build architecture if necessary
DEB_HOST_ARCH ?= $(shell dpkg --print-architecture)

# the archs, subarchs and flavours we are building for
archs := $(shell grep ^archs: debian/flavours | sed -e 's/^archs: *//')
arch := $(DEB_HOST_ARCH)
subarchs := $(shell grep "^subarchs $(arch):" debian/flavours | sed -e 's/^subarchs $(arch): *//')
flavours := $(shell grep "^flavours $(subarch):" debian/flavours | sed -e 's/^flavours $(subarch): *//')
makekpkg := $(shell grep "^make-kpkg match $(subarch):" debian/flavours | sed -e 's/^make-kpkg match $(subarch): *//')
ifeq (,$(makekpkg))
makekpkg := $(subarch)
endif

# cut the upstream version and the Debian revision from the changelog
kernel	:= $(shell head -1 debian/changelog | sed 's/^.*(\(.*\)-.*).*$$/\1/')
debian	:= $(shell head -1 debian/changelog | sed 's/^.*(.*-\(.*\)).*$$/\1/')
version	:= $(shell head -1 debian/changelog | sed 's/^.*(\(.*\)).*$$/\1/')

#some files in debian/ get version numbers and stuff updated on the fly
M4 = m4 -DM4VERSION="$(version)" -DM4KERNEL="$(kernel)" -DM4ARCH="$(arch)" -DM4SUBARCH="$(subarch)" -DM4FLAVOUR="$(flavour)"
debian/%: debian/%.m4
	$(M4) $< > $@

# installation of files and programs
INSTALL_DATA	= install -m 644 -o root -g root
INSTALL_EXEC	= install -m 755 -o root -g root

# build locations - point TMP to a tmpfs for best performance
TMP ?= $(CURDIR)/tmp
KSOURCE	 = $(TMP)/kernel-source-$(kernel)
KSUBARCH = $(TMP)/kernel-source-$(kernel)-$(subarch)
KFLAVOUR = $(TMP)/kernel-source-$(kernel)-$(subarch)-$(flavour)
KDUMMYSA = $(TMP)/kernel-image-$(kernel)-$(subarch)_$(version)_powerpc.deb
KDUMMY   = $(TMP)/kernel-image-$(kernel)-$(flavour)_$(version)_powerpc.deb
KHEADERS = $(TMP)/kernel-headers-$(kernel)-$(subarch)_$(version)_powerpc.deb
KSCRIPTS = $(TMP)/scripts/$(flavour)
KSCRIPTSA= $(TMP)/scripts/$(subarch)

# install locations
KHEADERDIR = $(CURDIR)/debian/kernel-headers-$(kernel)-$(subarch)
KPATCH    = $(CURDIR)/debian/kernel-patch-powerpc-$(subarch)/usr/src/kernel-patches/powerpc/$(kernel)-$(subarch)
KBUILD    = $(CURDIR)/debian/kernel-build-$(kernel)-$(flavour)
KBUILDSA    = $(CURDIR)/debian/kernel-build-$(kernel)-$(subarch)
KBUILDDOC = $(KBUILD)/usr/share/doc/kernel-build-$(kernel)-$(flavour)
KBUILDDOCSA = $(KBUILDSA)/usr/share/doc/kernel-build-$(kernel)-$(subarch)
KSRC      = $(KBUILD)/usr/src/kernel-build-$(kernel)-$(flavour)
KSRCSA     = $(KBUILDSA)/usr/src/kernel-build-$(kernel)-$(subarch)
KIMAGE    = $(CURDIR)/debian/kernel-image-$(kernel)-$(flavour)
KIMAGESA  = $(CURDIR)/debian/kernel-image-$(kernel)-$(subarch)
KIMAGEDOC = $(KIMAGE)/usr/share/doc/kernel-image-$(kernel)-$(flavour)
KIMAGEDOCSA = $(KIMAGESA)/usr/share/doc/kernel-image-$(kernel)-$(subarch)
KLIB      = $(KIMAGE)/usr/lib/kernel-image-$(kernel)-$(flavour)
KLIBSA      = $(KIMAGESA)/usr/lib/kernel-image-$(kernel)-$(subarch)

# environment for make-kpkg
export APPEND_TO_VERSION=-$(flavour)
export CONCURRENCY_LEVEL=8
# Don't know why i have to force this here, apparently make-kpkg doesn't 
# get passed the -r command of the dpkg-buildpackage invocation :/
MAKEKPKG=make-kpkg --rootcmd fakeroot

# the configure target is responsible for setting up the build arena,
# i.e. unpacking the Debian kernel source, applying the PowerPC patch,
# and preparing a separate build tree for each flavour.

configure: stamp-configure

# the following is the first of a number of loop implementations using
# recursive make.  This provides much easier access to the loop
# variable than extracting it from the target.  In order to safeguard
# against infinite loops, the recursion level is checked for the
# critical targets.  This particular example calls a common target,
# then runs the loop, and also includes some common commands to
# process after the loop.

stamp-configure: \
stamp-configure-arch-$(arch) \
$(foreach subarch,$(subarchs),stamp-configure-subarch-$(subarch))
	touch $@

# Per arch configure processing.
# We unpack the main kernel-source tree and prepare it for our needs.
stamp-configure-arch-$(arch):
	test -d $(dir $(KSOURCE)) || mkdir -p $(dir $(KSOURCE))
	tar jxCf $(dir $(KSOURCE)) /usr/src/kernel-source-$(kernel).tar.bz2
	cd $(KSOURCE); /usr/src/kernel-patches/all/$(kernel)/apply/debian

	test -d $(KSOURCE)/debian || mkdir $(KSOURCE)/debian
	cp -p /usr/share/doc/kernel-source-$(kernel)/changelog.Debian.gz \
		$(KSOURCE)/debian/changelog.Debian.kernel-source.gz
	cd debian; cp -p changelog control copyright $(KSOURCE)/debian
	> $(KSOURCE)/debian/official

	touch $@

ifeq (0,$(MAKELEVEL))

stamp-configure-subarch-%:
	$(MAKE) -f debian/rules stamp-configure-subarch-$* subarch=$*
	touch $@

else
ifeq (1,$(MAKELEVEL))

# Per subarch configure processing.
# We copy the kernel-source tree, apply the subarch patches
# add subarch entries in the control file and add the default
# subarch configuration file.
stamp-configure-subarch-$(subarch): \
stamp-configure-prepare-subarch-$(subarch) \
$(foreach flavour,$(flavours),stamp-configure-flavour-$(subarch)-$(flavour))

stamp-configure-prepare-subarch-$(subarch):
	test -d $(dir $(KSUBARCH)) || mkdir -p $(dir $(KSUBARCH))
	cp -al $(KSOURCE) $(KSUBARCH)

	rm -f $(KSUBARCH)/debian/control
	$(M4) debian/control-arch-$(arch).m4 > $(KSUBARCH)/debian/control
	$(M4) debian/control-subarch-$(arch)-$(subarch).m4 >> $(KSUBARCH)/debian/control
	zcat patches/debian-$(subarch).diff.gz | patch -p1 -d $(KSUBARCH) 
	rm -f $(KSUBARCH)/.config
	-$(MAKE) --no-print-directory -s -C config $(subarch).default >$(KSUBARCH)/.config

	touch $@

stamp-configure-flavour-$(subarch)-%:
	$(MAKE) -f debian/rules stamp-configure-flavour-$(subarch)-$* subarch=$(subarch) flavour=$*

else
ifeq (2,$(MAKELEVEL))

# Per flavour configure processing.
# We copy the kernel-source tree, add flavour entries in the
# contol file and add the flavour configuration file.
stamp-configure-flavour-$(subarch)-$(flavour):
	test -d $(dir $(KFLAVOUR)) || mkdir -p $(dir $(KFLAVOUR))
	cp -al $(KSUBARCH) $(KFLAVOUR)

	rm -f $(KFLAVOUR)/debian/control
	$(M4) debian/control-arch-$(arch).m4 > $(KFLAVOUR)/debian/control
	$(M4) debian/control-subarch-$(arch)-$(subarch).m4 >> $(KFLAVOUR)/debian/control
	$(M4) debian/control-flavour-$(arch)-$(subarch)-$(flavour).m4 >> $(KFLAVOUR)/debian/control
	rm -f $(KFLAVOUR)/.config
	-$(MAKE) --no-print-directory -s -C config $(flavour) > $(KFLAVOUR)/.config
ifeq (powerpc,$(subarch))
	cd debian; cp -p post-install $(KFLAVOUR)/debian
endif
	touch $@

endif
endif
endif

# the build target is responsible for, well, building the kernels and
# modules for each flavour.  To that end, it uses the build target of
# make-kpkg.

ifeq ($(DEB_HOST_ARCH),powerpc)
build: stamp-build
else
build:
endif

stamp-build: \
stamp-configure \
stamp-build-$(arch) \
$(foreach subarch,$(subarchs),stamp-build-subarch-$(subarch))
	touch $@

# Per arch build processing.
stamp-build-$(arch):
	dh_testdir
	touch $@

ifeq (0,$(MAKELEVEL))

stamp-build-subarch-%:
	$(MAKE) -f debian/rules stamp-build-subarch-$* subarch=$*

else
ifeq (1,$(MAKELEVEL))

# Per subarch build processing.
stamp-build-subarch-$(subarch): \
$(foreach flavour,$(flavours),stamp-build-flavour-$(subarch)-$(flavour))
	cd $(KSUBARCH); \
	MFLAGS="$(filter-out -j --j%,$(MFLAGS))" \
	MAKEFLAGS="$(filter-out -j --j%,$(MAKEFLAGS))" \
	$(MAKEKPKG) --subarch $(makekpkg) --append-to-version -$(subarch) kernel_headers
ifeq (,$(flavours))
	# Let's build subarches who have no flavours here.
	cd $(KSUBARCH); \
	MFLAGS="$(filter-out -j --j%,$(MFLAGS))" \
	MAKEFLAGS="$(filter-out -j --j%,$(MAKEFLAGS))" \
	$(MAKEKPKG) --subarch $(makekpkg) --append-to-version -$(subarch) build
endif
	touch $@

stamp-build-flavour-$(subarch)-%:
	$(MAKE) -f debian/rules stamp-build-flavour-$(subarch)-$* subarch=$(subarch) flavour=$*

else
ifeq (2,$(MAKELEVEL))
