=== debian/control ===
Source: kernel-patch-powerpc-2.4.27
Section: devel
Priority: optional
Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27-11, m4
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Sven Luther <luther@debian.org>
Standards-Version: 3.6.1

Package: kernel-patch-2.4.27-apus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for APUS
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/APUS tree from http://linux-apus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-apus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/APUS kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-apus/debian.README.gz for details.

Package: kernel-image-2.4.27-apus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-apus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/APUS kernel binary image.
 This package contains the Linux/APUS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for Amiga PowerUP System (APUS) computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-apus

Package: kernel-build-2.4.27-apus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-apus
Description: build infrastructure for kernel version 2.4.27-apus
 .
 Together with kernel-headers-2.4.27-apus, this package provides the
 infrastructure for building additional modules for 2.4.27-apus

Package: kernel-patch-2.4.27-nubus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for nubus
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/nubus tree from http://linux-nubus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-nubus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/nubus kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-nubus/debian.README.gz for details.

Package: kernel-image-2.4.27-nubus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-nubus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/nubus kernel binary image.
 This package contains the Linux/nubus kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for NuBus Powermac computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-

Package: kernel-build-2.4.27-nubus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-nubus
Description: build infrastructure for kernel version 2.4.27-nubus
 .
 Together with kernel-headers-2.4.27-nubus, this package provides the
 infrastructure for building additional modules for 2.4.27-nubus
